> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mangopay.com/api-reference/dispute-documents/list-documents-dispute/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server. # List Documents for a Dispute GET https://api.sandbox.mangopay.com/v2.01/{ClientId}/disputes/{DisputeId}/documents List Documents for a Dispute Reference: https://docs.mangopay.com/api-reference/dispute-documents/list-documents-dispute ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL. ## Servers - `https://api.sandbox.mangopay.com` (Sandbox, default) - `https://api.mangopay.com` (Production) - `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox) - `https://api-mtls.mangopay.com` (mTLS Production) ## Request ### Path parameters - `ClientId` (string, required) — Platform's API account identifier, associated with the API key. - `DisputeId` (string, required) — The unique identifier of the dispute. ## Response ### 200 Success - `Array (Dispute documents)` (list of ListAllDisputeDocumentsResponseArrayDisputeDocumentsItems, optional) — The list of dispute documents created by the platform. ## Types ### ListAllDisputeDocumentsResponseArrayDisputeDocumentsItems - `Object (Dispute document)` (ListAllDisputeDocumentsResponseArrayDisputeDocumentsItemsObjectDisputeDocument, optional) — The dispute document created by the platform. ### ListAllDisputeDocumentsResponseArrayDisputeDocumentsItemsObjectDisputeDocument The dispute document created by the platform. - `DisputeId` (string, optional) — The unique identifier of the dispute. - `Type` (string, optional) — **Returned values:** `DELIVERY_PROOF`, `INVOICE`, `REFUND_PROOF`, `USER_CORRESPONDANCE`, `USER_ACCEPTANCE_PROOF`, `PRODUCT_REPLACEMENT_PROOF`, `OTHER` The type of the dispute document. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `ProcessedDate` (integer, optional) — Unix timestamp (UTC) of the date and time the document was processed by Mangopay's team. - `Status` (string, optional) — **Returned values:** `CREATED`, `VALIDATION_ASKED`, `VALIDATED`, `REFUSED`, `OUT_OF_DATE` The status of the dispute document. - `RefusedReasonType` (string, optional) — **Returned values:** DOCUMENT\_DO\_NOT\_MATCH\_USER\_DATA, DOCUMENT\_FALSIFIED, DOCUMENT\_HAS\_EXPIRED, DOCUMENT\_INCOMPLETE, DOCUMENT\_MISSING, DOCUMENT\_NOT\_ACCEPTED, DOCUMENT\_UNREADABLE, SPECIFIC\_CASE, UNDERAGE\_PERSON The reason for the dispute document refusal. See the RefusedReasonMessage for more information. - `RefusedReasonMessage` (string, optional) — **Default value:** null Additional information about why the KYC Document was refused, provided by Mangopay's team. ## Examples **Response** ```json [ { "CreationDate": 1672655973, "DisputeId": "159102965", "Id": "159188418", "ProcessedDate": null, "RefusedReasonMessage": null, "RefusedReasonType": null, "Status": "VALIDATION_ASKED", "Tag": null, "Type": "DELIVERY_PROOF" } ] ``` **SDK Code** ```python from pprint import pprint import mangopay mangopay.client_id='your-client-id' mangopay.apikey='your-api-key' from mangopay.api import APIRequest handler = APIRequest(sandbox=True) from mangopay.resources import DisputeDocument dispute_docs = DisputeDocument.all(dispute_id = "dispute_m_01HQT8ZRCWP0HBT8QGRFMBA97B") for dispute_doc in dispute_docs: print() pprint(dispute_doc._data) ``` ```javascript const mangopayInstance = require('mangopay4-nodejs-sdk') const mangopay = new mangopayInstance({ clientId: 'your-client-id', clientApiKey: 'your-api-key', }) let myDispute = { Id: '192746554', } const listDisputeDocuments = async (disputeId) => { return await mangopay.Disputes.getDocumentsForDispute(disputeId) .then((response) => { console.info(response) return response }) .catch((err) => { console.log(err) return false }) } listDisputeDocuments(myDispute.Id) ``` ```java import com.google.gson.Gson; import com.google.gson.GsonBuilder; import com.mangopay.MangoPayApi; import com.mangopay.entities.DisputeDocument; public class ListDisputeDocs { public static void main(String[] args) throws Exception { MangoPayApi mangopay = new MangoPayApi(); mangopay.getConfig().setClientId("your-client-id"); mangopay.getConfig().setClientPassword("your-api-key"); var disputeId = "dispute_m_01J354MZ17XZA4DMAQS1766VXM"; List disputeDocs = mangopay.getDisputeApi().getDocumentsForDispute(disputeId, null, null, null); for (DisputeDocument disputeDoc : disputeDocs) { Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create(); String prettyJson = prettyPrint.toJson(disputeDoc); System.out.println(prettyJson); } } } ``` ```csharp using MangoPay.SDK; using MangoPay.SDK.Entities; using Newtonsoft.Json; class Program { static async Task Main(string[] args) { MangoPayApi api = new MangoPayApi(); api.Config.ClientId = "your-client-id"; api.Config.ClientPassword = "your-api-key"; var disputeId = "dispute_m_01J41GEVRQN3W1C4YRK7NC04QT"; var viewDisputeDocs = await api.Disputes.GetDocumentsForDisputeAsync(disputeId, new Pagination(1, 10), null); string prettyPrint = JsonConvert.SerializeObject(viewDisputeDocs, Formatting.Indented); Console.WriteLine(prettyPrint); } } ``` ```php Config->ClientId = 'your-client-id'; $api->Config->ClientPassword = 'your-api-key'; $api->Config->TemporaryFolder = 'tmp/'; try { $disputeId = '192746554'; $response = $api->Disputes->GetDocumentsForDispute($disputeId); print_r($response); } catch(MGPResponseException $e) { print_r($e); } catch(MGPException $e) { print_r($e); } ``` ```ruby require 'mangopay' MangoPay.configure do |client| client.preproduction = true client.client_id = 'your-client-id' client.client_apiKey = 'your-api-key' client.log_file = File.join(Dir.pwd, 'mangopay.log') end def listDocumentsForDispute(disputeId) begin response = MangoPay::Dispute.fetch_documents(disputeId) puts response return response rescue MangoPay::ResponseError => error puts "Failed to fetch Dispute Documents: #{error.message}" puts "Error details: #{error.details}" return false end end myDispute = { Id:'192746554' } listDocumentsForDispute(myDispute[:Id]) ```